import java.util.List;

/**
 * Die Klasse 'GebietsListe' enthält als Attribut eine Liste von Gebiet-Objekten. Darauf
 * aufbauend wird eine Reihe von Algorithmen bereitgestellt, die die Liste der Gebiete
 * unterschiedlich auswerten. Die Methoden haben folgende Aufgaben (in der im
 * Klassendiagramm gezeigten Reihenfolge):
 *  Der Konstruktor initialisiert die Liste der Gebiete.
 *  Das Gebiet mit dem geringsten Durchschnittseinkommen wird ermittelt.
 *  Das Gebiet mit der maximalen Anzahl von Einwohnern wird ermittelt.
 *  Die Gesamtzahl der Gebiete wird geliefert.
 *  Die Anzahl der Gebiete mit unvollständigen Einkommensdaten wird ermittelt.
 *  Alle Gebiete, deren Namen mit einem vorgegebenen String anfangen, werden
 * zusammengestellt und in Form einer Liste geliefert.
 *
 * @author Gubitz, Wöstemeyer, Pfannenstiel, Maier, Vigier :D
 */
public class GebietListe implements ListenInterface
{
    private List<Gebiet> gebiete;

    public GebietListe(List<Gebiet> gebiete)
    {
        this.gebiete = gebiete;
    }

    public Gebiet getGebietMinDurchschnittsEinkommen()
    {
        int einkommen1 = 0;
        int minDurchschnitt = 0;
        Gebiet g = null;
        for (Gebiet gebiet : gebiete)
        {
            einkommen1 = gebiet.getDurchschnittsEinkommen();
            if (einkommen1 < minDurchschnitt)
            {
                minDurchschnitt = einkommen1;
                g = gebiet;
            }
        }
        return g;
    }

    public Gebiet getGebietMaxAnzahlEinwohner()
    {
        int einwohner = 0;
        int maxEinwohner = 0;
        Gebiet e = null;
        for (Gebiet gebiet : gebiete)
        {
            einwohner = gebiet.getAnzahlEinwohner();
            if (einwohner > maxEinwohner)
            {
                maxEinwohner = einwohner;
                e = gebiet;
            }
        }
        return e;
    }

    public int getAnzahlGesamt()
    {

    }

    public int getAnzahlUnvollständig()
    {

    }

    public List<Gebiet> getGebieteNachNamen(String namensanfang)
    {

    }
}
