import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Path;
import java.nio.file.Paths;
import java.util.ArrayList;
import java.util.List;

/**
 * Die Klasse 'Gebietsdatei' hat die Aufgabe, die Datei 'Einkommen.csv' einzulesen, zu
 * interpretieren, als Gebiet-Objekte zu speichern und diese in Form einer Liste zur Verfügung
 * zu stellen.
 *
 * @author Düsterhaus, Gubitz, Pfannenstiel, Maier, Vigier, Wöstemeyer
 */
public class GebietsDatei implements GebietsQuelle{
    private ArrayList<Gebiet> gebiete = new ArrayList<>();

    public GebietsDatei (String dateiname){
        Path pfad = Paths.get(dateiname);

        try {
            List<String> zeilen = Files.readAllLines(pfad);

            for(String zeile : zeilen) {
                String[] teile = zeile.split(";");
                int jahr = Integer.parseInt(teile[0]);
                int schlüssel = Integer.parseInt(teile[1]);
                String region = teile[2];
                int einkommenProHaushalt = Integer.parseInt(teile[3]);
                int einkommenjeEinwohner = Integer.parseInt(teile[4]);
                gebiete.add(new Gebiet(jahr, schlüssel, region, einkommenProHaushalt, einkommenjeEinwohner));
            }

        } catch (IOException e) {
            e.printStackTrace();
        }
    }

    public List<Gebiet> getGebiete() {
        return gebiete;
    }
}
